// 일사량 조회 디자인
.index .container {
    padding-top:calc( (100vh - 943px) /3 );
}
.display-table {
    display: table;
    border-collapse: collapse;
    width: 100%;
    .cell {
        display:table-cell;
        vertical-align: middle;
    }
}
.group {
    width: 100%;
    height: 30px;
    color:#fff;
    margin:7px auto;
    select,.btn,
    .input
    {
        height: 30px;
        line-height: 30px;
        width: 100%;
        color:#fff;
        font-size: 15px;
        border:none;
        background-color:rgba(0,0,0,0.5);
    }
    .input {
        background-color:transparent;
    }
    .border {
        border:1px solid #999;
        height: 30px;
    }
    select {
        padding:0 0 0 10px;
        background: rgba(0,0,0,0.5) url(../images/content/ico_select.png) 95% 50% no-repeat;
    }
}
.btn-group {
    overflow: hidden;
    .btn {
        padding:0;
        cursor: pointer;
        &:hover {
            color:#00f3ff;
        }
    }
    &.layout3 {
        .cell {
            width: 33.33%;
        }
        .btn {            
            text-align: center;
        }
    }
    &.layout5 {        
        .btn {
            height: 28px;
            line-height: 32px;
            width: 20%;
            float: left;
        }        
    }
}
.group-2 {
    border:none;
    height: auto;    
    .cell {
        border:1px solid #999;
    }
    .bt0 .cell {
        border-top: none;
    }
}
.group-3 {
    border:none;
    height: auto;
    .span {
        font-size: 14px;
        display: block;
        text-align: center;
    }
    .input {
        font-size: 13px;
        padding:0 7px;
    }
    .rows {
        position: relative;
        display: block;
        overflow: hidden;        
        &:before {
            font-family: tanaicon!important;
            speak: none;
            font-size: 13px;
            font-style: normal;
            font-weight: 300;
            font-variant: normal;
            text-transform: none;
            line-height: 1;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
            content:'\ea4b';
            color:#00f3ff;
            position: absolute;
            z-index:-1;
            top:0;
            left:0;
            right:0;
            bottom:0;
            text-align:right;
            padding-right:8px;
            padding-top:8px;
            background-color:rgba(0,0,0,0.5);
        }
    }
}
.link-external:after {content:'\ea27';
    font-family: 'tanaicon'!important;
    speak: none;
    display: inline-block;
    margin-left: 0.3em;
    font-style: normal;
    font-weight: 400;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.solartime { 
    
    &-image {
        position: relative;
        display: block;
        margin:0 auto;
        text-align: center;
        width: 680px;
        &-area {
            position: relative;
            .image {
                display: block;
                text-align: center;
            }
        }
        .image-title {
            font-size: 22px;
            font-size: 1.29rem;
            font-weight: 900;
            margin-bottom: 1rem;
        }
        .btn-arrow {
            padding:10px;
            font-size: 35px;
            color:#fff;
            position: absolute;
            top:50%;
            &:hover {
                color:#00f3ff;
            }
            &-left {
                left:0
            }
            &-right {
                right:0
            }
        }
        .legend {
            position: absolute;
            top:54%;
            transform:translate(0,-50%);
            right:-120px;
            width: 90px;
            text-align: right;
        }
    }

    &-control {
        position: absolute;
        left:35px;
        top:50%;
        width: 180px;
        transform: translate(0,-50%);
    }

    &-timeline {
        position: absolute;
        width: auto;
        right:35px;
        top:10%;
        bottom:10%;        
        //transform: translate(0,-50%);

        li {
            display: block;
            height: auto;
            margin: 0;
            padding: 0;
            position: relative;
            &:before {
                content: '';
                display: block;
                width: 1px;
                height: 23px;
                background: url(../images/content/bg_line.png) 50% 50%;
                margin: -10px 0 -10px 88px;
            }
            &:first-child:before {
                display: none;
            }
            .bar-date {
                font-size: 15px;
                margin-left: -9px;
                position: relative;
                width: 103px;
                z-index: 1;
                &:after {
                    content:'';
                    display: inline-block;
                    margin:0 0 0 10px;
                    vertical-align: middle;
                    width: 10px;                    
                    height: 10px;
                    border:1px solid #19f4ff;
                    border-radius:10px;
                    background-color:#000;
                }
            }
            .btn-timeline {
                font-size: 15px;
                color: #fff;
                margin:0 0 0 70px;
                padding:5px 15px;
                position: relative;
                z-index: 1;
                &:before {
                    content:'';
                    display: inline-block;
                    vertical-align: middle;
                    margin:-3px 15px 0 0;
                    position: relative;
                    z-index: 1;
                    width: 7px;
                    height: 7px;
                    cursor: pointer;
                    text-decoration: none;
                    background-color: #fff;
                }
                &.active, &:hover, &:focus  {
                    background-color: #000;
                    color:#00f3ff;
                    &:before {
                        background-color: #00f3ff;
                    }
                }
            }
            
        }
    }
}

.mob {
    .index .container {
        // padding-top:0;
    }
    .solartime-image {
        @include display-flex;
        @include justify-content(center);
        @include align-items(center);
        position: relative;
        width:auto;

        .image-title {
            position:absolute;
            top:1.5rem;
            left:0;
            width:calc( 100vw - 22px );
            max-width:746px;
        }
        .image img {
            max-height:65vh;
            max-width:100%;
        }
        &-area {
            position: static;
            padding-top:4rem;
            margin-right:10px;
        }
        .legend {
            position: static;
            @include transform( translate( 0 ) );
            // -end : pc style reset
            
            display:block;
            width:45px;
            padding-top:5rem;
            img {
                max-width:100%;
                max-height:180px;
            }
        }
        .btn-arrow {
            display:none;
        }
    }
    .solartime-control {
        position:static;
        @include transform( translate(0) );
        width:100%;
        padding-top:1.5rem;
        padding-bottom:29px;
        .last-item-isMob {
            position:absolute;
            bottom:0;
        }
    }
    .group select, .group .btn, .group .input {
        background-color:rgba(0,0,0,0.65)
    }
    .group {
        margin:-1px 0 0 0;

        &.select {
            float:left;
            width: 90px;
            height:29px;
            margin-right:-1px;
            &+.group {
                overflow:hidden;
                width:auto;
            }
        }
    }
    .group-3 {
        @include display-flex;
        @include align-items(stretch);
        border:1px solid #999;

        .rows {
            width:100%;
            &:before {display:none;}
        }
        .datepicker {
            border:0;
            text-align:center;
        }
        .span {
            width:90px;
            line-height:30px;
            background-color:rgba(0,0,0,0.65);
        }
    }
    .btn-group {
        &.layout3 {
            @include clearfix;
        }
    }
    .display-table {
        float:left;
        width:50%;
        &.bt0 {
            .cell {
                border-top:1px solid #999;
                &:first-child {
                    border-left-width:0;
                }
            }
        }
    }
    .solartime-timeline {
        display:none;
    }
}